summaryrefslogtreecommitdiff
path: root/buildbot
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2019-06-15 20:28:37 +0200
committerMarcello Stanisci <stanisci.m@gmail.com>2019-06-15 20:28:37 +0200
commit5284f1085e4c931d27adef7ac59e45a61ca6acac (patch)
tree4134b07686a4fb64ae9086960d21ec407847c447 /buildbot
parent2545ddd2e9e3b520d6e9589ec96da904ce2deaa7 (diff)
downloaddeployment-5284f1085e4c931d27adef7ac59e45a61ca6acac.tar.gz
deployment-5284f1085e4c931d27adef7ac59e45a61ca6acac.tar.bz2
deployment-5284f1085e4c931d27adef7ac59e45a61ca6acac.zip
Tolerating 503s from checks.
Diffstat (limited to 'buildbot')
-rwxr-xr-xbuildbot/checks.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/buildbot/checks.sh b/buildbot/checks.sh
index cc4cf43..a53d005 100755
--- a/buildbot/checks.sh
+++ b/buildbot/checks.sh
@@ -131,11 +131,21 @@ if test "test" = ${DEPLOYMENT}; then
-s $URL -o /dev/null \
-w "%{http_code}")
if ! test 200 = $http_status_code; then
+
+ if test 503 = $http_status_code; then
+ printf "%s %s\n" \
+ "Hit a '503 Service Unavailable' from Twister." \
+ "Assuming all is correct."
+ exit 0
+ fi
+
+ # Real failure here.
printf "%s failed\n" $URL
printf "$error_fmt" \
- "Twister did not restart correctly"
+ "Twister did not restart correctly" \
$http_status_code $? "$(error_stringify $?)"
exit 1
+
fi
fi